Skip to main content
GET
/
notifications
/
preferences
/
{clientId}
Get notification preferences
curl --request GET \
  --url https://api.sftpsync.io/notifications/preferences/{clientId} \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "<string>",
    "clientId": "<string>",
    "isEnabled": true,
    "recipients": [
      "<string>"
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "workspaceId": "<string>",
    "metadata": {}
  }
]

Authorizations

x-api-key
string
header
required

Path Parameters

clientId
string
required

Connection id.

Response

200 - application/json

Preferences

id
string
required
clientId
string
required

The connection this preference is scoped to.

eventType
enum<string>
required
Available options:
PIPELINE_RUN_FAILED,
PIPELINE_RUN_SUCCEEDED
channel
enum<string>
required
Available options:
EMAIL,
SLACK,
SMS
isEnabled
boolean
required
recipients
string[]
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
workspaceId
string
metadata
object